%global release_date 20150611
%global gitrev fff8ed6

Summary:			Driver for Realtek rtl8723bs wireless network chips
Name:			dkms-rtl8723bs
Version:			0.2
Release:			2.%{?release_date:git%{release_date}}%{?gitrev:.%{gitrev}}
License:			GPLv2+
Group:			System Environment/Kernel
URL:				https://github.com/hadess/rtl8723bs
# located only in git:
# To get tarball just run acx1xx.get script from source1
Source0:			rtl8723bs.%{gitrev}.tar.gz
# Script to get sources from git and pack it into .tar.xz
#Source1:			rtl8723bs.get
#BuildArch:		noarch
Requires:			kernel >= 4.0
Requires:         linux-firmware
Requires:         kernel-modules >= 4.0
BuildRequires:    kernel-devel   >= 4.0 
Requires(post):	dkms
Requires(preun):	dkms
Obsoletes:		%{name} >= 0.3

%description
Driver (Linux kernel module) for network wireless network chip rtl8723bs from Realtek.

%prep
%setup -qn rtl8723bs

%build

%install
rm -rf %{buildroot}

%global dkms_name rtl8723bs
%global dkms_vers %{version}-%{release}
%global quiet ''

# Kernel module sources install for dkms
mkdir -p %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/
cp -a * %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/

# Configuration for dkms
cat > %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/dkms.conf << 'EOF'
PACKAGE_NAME=%{dkms_name}
PACKAGE_VERSION=%{dkms_vers}
MAKE[0]="make all KVERSION=$kernelver"
BUILT_MODULE_NAME[0]="r8723bs"
DEST_MODULE_LOCATION[0]="/kernel/drivers/net/wireless"
AUTOINSTALL="yes"
EOF

%clean
rm -rf %{buildroot}

%post
# Add to DKMS registry
dkms add -m %{dkms_name} -v %{dkms_vers} %{?quiet} || :
# Rebuild and make available for the currenty running kernel
dkms build -m %{dkms_name} -v %{dkms_vers} %{?quiet} || :
dkms install -m %{dkms_name} -v %{dkms_vers} %{?quiet} --force || :

%preun
# Remove all versions from DKMS registry
dkms remove -m %{dkms_name} -v %{dkms_vers} %{?quiet} --all || :

%files
%defattr(-, root, root, 0755)
%{_usrsrc}/%{dkms_name}-%{dkms_vers}/

%changelog
* Thu Jun 11 2015 baoboa <baoboa@fedorapeople.org> - 0.2-2.%{release_date}.%{gitrev}
- try to build with dkms

